import { MaybeRef } from '@vueuse/core';
/**
 * @param  {MaybeRef<any>} ...args
 * @returns `dirty` true if any arg has change at least one time.
 * `reset` to set dirty false again
 */
export declare function useChanges(...args: MaybeRef<any>): {
    dirty: import("vue").Ref<boolean>;
    reset: () => boolean;
};
/**
 * Compare deep two objects. Can be reactive, refs or plain objects
 * @param  {MaybeRef<any>} obj
 * @param  {MaybeRef<any>} obj2
 *
 * @returns `ComputedRef<boolean> = true` if objects are equal
 *
 */
export declare function useCompareDeep(obj: MaybeRef<any>, obj2: MaybeRef<any>): import("vue").ComputedRef<boolean>;
