import { Fn } from '@regiondev/vue-utils';
import { Ref } from 'vue';
export declare function useBroadcastChannel<D, P>(name: string, { encrypt, decrypt }: {
    encrypt: Fn;
    decrypt: Fn;
}): UseBroadcastChannelReturn<D, P>;
export interface UseBroadcastChannelReturn<D, P> {
    isSupported: Ref<boolean>;
    on: (eventKey: string, cb: (data: D) => void) => void;
    channel: Ref<BroadcastChannel | undefined>;
    post: (key: string, data?: P) => void;
    close: () => void;
    isClosed: Ref<boolean>;
}
